Get recent alerts
curl --request GET \
--url 'https://api.raze.bot/api/sol/alerts?apiKey='import requests
url = "https://api.raze.bot/api/sol/alerts?apiKey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.raze.bot/api/sol/alerts?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"alertCount": 123,
"limit": 123,
"offset": 123,
"hasMore": true,
"alerts": [
{
"id": "<string>",
"mint": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"slotRange": {
"start": 123,
"end": 123
},
"metrics": {
"volume": {
"sol": 123,
"token": 123,
"buySol": 123,
"buyToken": 123,
"sellSol": 123,
"sellToken": 123
},
"tradeCount": 123,
"proTradeCount": 123,
"buyTradeCount": 123,
"sellTradeCount": 123,
"sniperTradeCount": 123,
"bundleTradeCount": 123,
"avgPrice": 123,
"priceChange": {
"initial": 123,
"final": 123,
"percentage": 123
},
"totalFees": 123,
"justDeployed": true,
"firstTradeSlot": 123,
"lastTradeSlot": 123
},
"totalVolumeSol": 123,
"tradeCount": 123,
"priceChangePercentage": 123,
"avgPrice": 123,
"platform": "<string>",
"tokenAge": 123,
"name": "<string>",
"symbol": "<string>",
"image": "<string>",
"twitter": "<string>",
"website": "<string>",
"devBuySol": 123,
"devBuyAvgPrice": 123,
"signer": "<string>",
"creatorDeploys": 123,
"creatorMigrations": 123,
"creatorBuyTokens": 123,
"creator_deploys": 123,
"creator_migrations": 123,
"creator_buy_tokens": 123
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key",
"code": "INVALID_KEY",
"success": false
}{
"error": "Unauthorized",
"message": "Invalid API key",
"code": "INVALID_KEY",
"success": false
}Alerts
Get recent alerts
GET
/
api
/
sol
/
alerts
Get recent alerts
Authorizations
Query Parameters
Required range:
1 <= x <= 200Number of records to skip for pagination
Required range:
x >= 0⌘I
